#ifndef __GLOB_APP_WINDOW_H__
#define __GLOB_APP_WINDOW_H__

#include <gtk/gtk.h>

#include "glob-application.h"

G_BEGIN_DECLS

#define GLOB_TYPE_APP_WINDOW            glob_app_window_get_type()
#define GLOB_APP_WINDOW(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOB_TYPE_APP_WINDOW, GlobAppWindow))
#define GLOB_APP_WINDOW_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GLOB_TYPE_APP_WINDOW, GlobAppWindowClass))
#define GLOB_IS_APP_WINDOW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOB_TYPE_APP_WINDOW))
#define GLOB_IS_APP_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GLOB_TYPE_APP_WINDOW))
#define GLOB_APP_WINDOW_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GLOB_TYPE_APP_WINDOW, GlobAppWindowClass))

typedef struct _GlobAppWindow       GlobAppWindow;
typedef struct _GlobAppWindowClass  GlobAppWindowClass;

struct _GlobAppWindow
{
    GtkApplicationWindow parent;
};

struct _GlobAppWindowClass
{
    GtkApplicationWindowClass parent_class;
};

GType       glob_app_window_get_type    (void) G_GNUC_CONST;
GtkWidget * glob_app_window_new         (GlobApplication *app);

G_END_DECLS

#endif /* __GLOB_APP_WINDOW_H__ */
