#ifndef __GLOB_APPLICATION_H__
#define __GLOB_APPLICATION_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GLOB_TYPE_APPLICATION              glob_application_get_type()
#define GLOB_APPLICATION(obj)              (G_TYPE_CHECK_INSTANCE_CAST ((obj), GLOB_TYPE_APPLICATION, GlobApplication))
#define GLOB_APPLICATION_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), GLOB_TYPE_APPLICATION, GlobApplicationClass))
#define GLOB_IS_APPLICATION(obj)           (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLOB_TYPE_APPLICATION))
#define GLOB_IS_APPLICATION_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), GLOB_TYPE_APPLICATION))
#define GLOB_APPLICATION_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), GLOB_TYPE_APPLICATION, GlobApplicationClass))

typedef struct _GlobApplication        GlobApplication;
typedef struct _GlobApplicationClass   GlobApplicationClass;
typedef struct _GlobApplicationPrivate GlobApplicationPrivate;

struct _GlobApplication
{
    GtkApplication parent;

    /*< private >*/
    GlobApplicationPrivate *priv;
};

struct _GlobApplicationClass
{
    GtkApplicationClass parent_class;
};

GType             glob_application_get_type    (void) G_GNUC_CONST;
GlobApplication * glob_application_new         (void);

G_END_DECLS

#endif /* __GLOB_APPLICATION_H__ */
